/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2010. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  InfoPanel                        1       /* callback function: InfoPanel_proc */
#define  InfoPanel_textBox                2

#define  PANEL                            2       /* callback function: panel_proc */
#define  PANEL_QUITBUTTON                 2       /* callback function: QuitCallback */
#define  PANEL_TB_Text_Monitor            3
#define  PANEL_FISS_FileOpen              4       /* callback function: cmdOpen */
#define  PANEL_PIC_WINDOW                 5       /* callback function: pic_window */
#define  PANEL_cmd_Run                    6       /* callback function: cmd_Run */
#define  PANEL_DECORATION_6               7
#define  PANEL_DECORATION                 8
#define  PANEL_TEXTMSG_8                  9
#define  PANEL_TEXTMSG                    10
#define  PANEL_TEXTMSG_5                  11
#define  PANEL_TEXTMSG_6                  12
#define  PANEL_GRAPH                      13      /* callback function: drawHistogram */
#define  PANEL_Position                   14
#define  PANEL_Motor_Status               15
#define  PANEL_Scan_Status                16
#define  PANEL_CCD_Status                 17
#define  PANEL_INPOSITION                 18
#define  PANEL_MOTORRUN                   19
#define  PANEL_NLIMIT                     20
#define  PANEL_PLIMIT                     21
#define  PANEL_P1_2                       22
#define  PANEL_S1                         23
#define  PANEL_P1                         24
#define  PANEL_TIMER                      25      /* callback function: Ampon_timer */
#define  PANEL_TEXTMSG_7                  26
#define  PANEL_set_Select_Frame           27      /* callback function: SetSelectFrame */
#define  PANEL_COM6SRVR6KNET              28
#define  PANEL_BYTSCL_MAX                 29      /* callback function: SetBytsclMax */
#define  PANEL_BYTSCL_MIN                 30      /* callback function: SetBytsclMin */
#define  PANEL_SelectAxis                 31      /* callback function: setFrameAxis */
#define  PANEL_Motor_TurnOnOff            32      /* callback function: Motor_TurnOnOff */
#define  PANEL_Scan_TurnOnOff             33      /* callback function: Scan_TurnOnOff */
#define  PANEL_CCD_TurnOnOff              34      /* callback function: CCD_TurnOnOff */
#define  PANEL_FISS_cmdStop               35      /* callback function: cmdStop */
#define  PANEL_Obs_Test                   36      /* callback function: Obs_Test */
#define  PANEL_Set_FISS_parameter         37      /* callback function: Set_FISS_parameter */
#define  PANEL_DECORATION_7               38
#define  PANEL_strMean                    39
#define  PANEL_IDLDRAWWIDGET              40
#define  PANEL_strStdev                   41
#define  PANEL_xpos                       42
#define  PANEL_ypos                       43
#define  PANEL_value                      44
#define  PANEL_TEXTMSG_12                 45
#define  PANEL_TEXTMSG_11                 46
#define  PANEL_TEXTMSG_9                  47
#define  PANEL_datamean                   48
#define  PANEL_datastdev                  49
#define  PANEL_TEXTMSG_2                  50
#define  PANEL_strScanTime                51
#define  PANEL_strStepSize                52
#define  PANEL_TEXTMSG_17                 53
#define  PANEL_TEXTMSG_18                 54
#define  PANEL_TEXTMSG_19                 55
#define  PANEL_TEXTMSG_31                 56
#define  PANEL_TEXTMSG_30                 57
#define  PANEL_TEXTMSG_20                 58
#define  PANEL_TEXTMSG_22                 59
#define  PANEL_TEXTMSG_21                 60
#define  PANEL_nAxis1                     61
#define  PANEL_info2                      62
#define  PANEL_info3                      63
#define  PANEL_info4                      64
#define  PANEL_info11                     65
#define  PANEL_info5                      66
#define  PANEL_info10                     67
#define  PANEL_info6                      68
#define  PANEL_info7                      69
#define  PANEL_info8                      70
#define  PANEL_unit1                      71
#define  PANEL_unit2                      72
#define  PANEL_info1_4                    73
#define  PANEL_info9                      74
#define  PANEL_DECORATION_9               75
#define  PANEL_DECORATION_10              76
#define  PANEL_TEXTMSG_23                 77
#define  PANEL_DECORATION_12              78
#define  PANEL_viewCCD2                   79      /* callback function: viewCCD2 */
#define  PANEL_viewCCD1                   80      /* callback function: viewCCD1 */
#define  PANEL_TEXTMSG_24                 81
#define  PANEL_DECORATION_13              82
#define  PANEL_TEXTMSG_25                 83
#define  PANEL_TEXTMSG_26                 84
#define  PANEL_TEXTMSG_29                 85
#define  PANEL_TEXTMSG_28                 86
#define  PANEL_TEXTMSG_27                 87
#define  PANEL_nAxis2                     88
#define  PANEL_nAxis3                     89
#define  PANEL_info1                      90
#define  PANEL_ExpTime                    91
#define  PANEL_DECORATION_11              92
#define  PANEL_info1_5                    93
#define  PANEL_info1_6                    94

#define  SetFISS                          3       /* callback function: SetFISS_proc */
#define  SetFISS_FISS_setCancel           2       /* callback function: FISS_setCancel */
#define  SetFISS_setTAB                   3
#define  SetFISS_FISS_setOK               4       /* callback function: FISS_setOK */

#define  test_panel                       4       /* callback function: test_panel_proc */
#define  test_panel_TB_Text_Monitor       2
#define  test_panel_STR_Command           3       /* callback function: STR_Command */
#define  test_panel_upload_data           4       /* callback function: upload_data */
#define  test_panel_Motor_Step_Increase   5       /* callback function: motor_step_increase */
#define  test_panel_Motor_Step_Decrease   6       /* callback function: motor_step_decrease */
#define  test_panel_SlitStepIncrease      7       /* callback function: SlitStepIncrease */
#define  test_panel_SlitStepDecrease      8       /* callback function: SlitStepDecrease */
#define  test_panel_SetZero               9       /* callback function: SetZero */
#define  test_panel_radio_motor           10      /* callback function: radio_motor */
#define  test_panel_radio_scan            11      /* callback function: radio_scan */
#define  test_panel_DECORATION            12
#define  test_panel_TEXTMSG               13
#define  test_panel_DECORATION_5          14
#define  test_panel_TEXTMSG_5             15
#define  test_panel_DECORATION_4          16
#define  test_panel_TEXTMSG_4             17
#define  test_panel_DECORATION_2          18
#define  test_panel_TEXTMSG_2             19
#define  test_panel_setCooler2            20      /* callback function: setCooler2 */
#define  test_panel_setCooler             21      /* callback function: setCooler */
#define  test_panel_DELBTN                22      /* callback function: DelBTNF */
#define  test_panel_INSERTBUTTON          23      /* callback function: InsertBTNF */
#define  test_panel_Motor_Stop            24      /* callback function: Motor_Stop */
#define  test_panel_CoolerOnOff2          25      /* callback function: CoolerOnOff2 */
#define  test_panel_Motor_Device_Select   26      /* callback function: motor_device_select */
#define  test_panel_CoolerOnOff           27      /* callback function: CoolerOnOff */
#define  test_panel_WVLISTBOX             28      /* callback function: WvListBoxF */
#define  test_panel_NUMERICANGLE          29
#define  test_panel_NUMERICSTEP           30
#define  test_panel_NUMERICWV             31
#define  test_panel_STARTPOSITION         32
#define  test_panel_CSELLECTWV            33
#define  test_panel_SlitStepSize          34
#define  test_panel_Motor_Moving_Distance 35
#define  test_panel_ccdTemp2              36
#define  test_panel_NUMOFWV               37
#define  test_panel_Motor_Position        38
#define  test_panel_ccdTemp               39

     /* tab page panel controls */
#define  setCCDTAB_CCD_setAcq             2
#define  setCCDTAB_CCD_setFrameNumber     3
#define  setCCDTAB_CCD_setGain            4
#define  setCCDTAB_CCD_setExpTime         5
#define  setCCDTAB_CCD_setBinning         6       /* callback function: CCD_setBinning */
#define  setCCDTAB_CCD_setVBin            7
#define  setCCDTAB_CCD_setHBin            8
#define  setCCDTAB_TEXTMSG                9
#define  setCCDTAB_CCD_setFan             10
#define  setCCDTAB_CCD_setShutter         11
#define  setCCDTAB_DECORATION_5           12
#define  setCCDTAB_DECORATION             13
#define  setCCDTAB_DECORATION_2           14
#define  setCCDTAB_DECORATION_3           15
#define  setCCDTAB_DECORATION_4           16
#define  setCCDTAB_CCD_setCamera          17      /* callback function: CCD_setCamera */
#define  setCCDTAB_SPLITTER               18
#define  setCCDTAB_CCD_setSequence        19

     /* tab page panel controls */
#define  setMISC_MISC_ARNumber            2
#define  setMISC_MISC_Target              3
#define  setMISC_MISC_Observer            4
#define  setMISC_TEXTMSG                  5
#define  setMISC_TEXTMSG_7                6
#define  setMISC_TEXTMSG_6                7
#define  setMISC_TEXTMSG_8                8
#define  setMISC_TEXTMSG_5                9
#define  setMISC_TEXTMSG_4                10
#define  setMISC_TEXTMSG_2                11
#define  setMISC_TEXTMSG_3                12
#define  setMISC_sunYpos                  13
#define  setMISC_MISC_TargetRing          14      /* callback function: make_foldert_arget */
#define  setMISC_sunXpos                  15

     /* tab page panel controls */
#define  setMotoTAB_Motor_Wavelength      2

     /* tab page panel controls */
#define  setScanTAB_Scan_Mode             2       /* callback function: Scan_Mode */
#define  setScanTAB_Scan_Step_size        3
#define  setScanTAB_Scan_Step_number      4
#define  setScanTAB_Scan_speed            5
#define  setScanTAB_DECORATION_2          6
#define  setScanTAB_TEXTMSG_1             7
#define  setScanTAB_Scan_Frames           8
#define  setScanTAB_Scan_stroke           9
#define  setScanTAB_TEXTMSG_2             10
#define  setScanTAB_DECORATION_3          11
#define  setScanTAB_Scan_Step_duration    12
#define  setScanTAB_SPLITTER              13


     /* Menu Bars, Menus, and Menu Items: */

#define  MENUBAR                          1
#define  MENUBAR_File                     2
#define  MENUBAR_File_Open                3       /* callback function: mnuOpen */
#define  MENUBAR_File_Save                4       /* callback function: mnuSave */
#define  MENUBAR_File_Exit                5       /* callback function: mnuExit */
#define  MENUBAR_Setup                    6
#define  MENUBAR_Setup_Setup              7       /* callback function: mnuSetup */
#define  MENUBAR_Test                     8
#define  MENUBAR_Test_Test                9       /* callback function: mnuTest */
#define  MENUBAR_About                    10
#define  MENUBAR_About_About              11      /* callback function: mnuAbout */


     /* Callback Prototypes: */ 

int  CVICALLBACK Ampon_timer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CCD_setBinning(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CCD_setCamera(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CCD_TurnOnOff(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cmd_Run(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cmdOpen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cmdStop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CoolerOnOff(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CoolerOnOff2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DelBTNF(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK drawHistogram(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FISS_setCancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FISS_setOK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK InfoPanel_proc(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK InsertBTNF(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK make_foldert_arget(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK mnuAbout(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK mnuExit(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK mnuOpen(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK mnuSave(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK mnuSetup(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK mnuTest(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK motor_device_select(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK motor_step_decrease(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK motor_step_increase(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Motor_Stop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Motor_TurnOnOff(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Obs_Test(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panel_proc(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK pic_window(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK radio_motor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK radio_scan(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Scan_Mode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Scan_TurnOnOff(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_FISS_parameter(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetBytsclMax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetBytsclMin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setCooler(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setCooler2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetFISS_proc(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setFrameAxis(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetSelectFrame(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetZero(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SlitStepDecrease(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SlitStepIncrease(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK STR_Command(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK test_panel_proc(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK upload_data(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK viewCCD1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK viewCCD2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WvListBoxF(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
