
typedef struct{
	float Wv;
	int Step;
	float Angle;
}WvSet;


char * ArpSetF(void);
int DriveEnable(void);
int DriveDisable(void); 
   
int LimitIndicate(int);  
int InitMotor(void);


int GratingMotorPosCheck(void);
  
int Gratingtracking(int , int); 

int InitWvRing(void);
int MotorMovingCheck(void);


int MotorMove(int, int);


int MotorConnect(void);
int MotorDisconnect(void);


///////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////FILE I/O, Make Wavelength List///////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////

///////
//come from FIO.h
///////
int OpenFileF(FILE * FP);
int ReadHeader(FILE * FP);
int WriteFileF(FILE * FP);
int WriteHeader(FILE * FP);
//////
/////////////////////////


////////
//come from WVOper.h
////////
int InitPanel(void);
int InsertData(void);
int ResetPanel(void);
int PrintWvStepAngle(int);
int DelData(void);
///////////////////////


//slit hatch function
int SlitHatchOpen(void);
int SlitHatchClose(void);
int ConfirmSlitHatchLimit(int PortNum);



